"use strict";

this.name           =    "rrs_eq_cond";
this.author         =    "spara";
this.copyright      =    "2015 Mika Spåra";
this.licence        =    "CC BY-NC-SA 3.0"; 
this.description    =    "RRS equipment condition script";

this.allowAwardEquipment = function(eqKey, ship, context) {
	
	//add EQ_RESQUE_MISSILE only via scripting
	if (eqKey === "EQ_RESCUE_MISSILE") {
		if (context === "scripted") return true;
		else return false;
	}
	//rrs equipment available only from waystation
	if (!player.ship.dockedStation.hasRole("rescue_station"))
		return false;
		
	switch(eqKey) {
		case "EQ_RRS_SOLAR_MINE":
			if (missionVariables.rescuestation_solarlabavailable !== 1)
				return false;
			break;
		case "EQ_RRS_FUEL":
			if (missionVariables.rescuestation_reputation < 20)
				return false;
			break;
		case "EQ_RRS_SCOOPS":
		case "EQ_RRS_DOCK_COMP":
		case "EQ_RRS_HEAT_SHIELD":
		case "EQ_RRS_ASC":
		case "EQ_RRS_ANA":
		case "EQ_RRS_FLIGHTFORM_DISCOUNT":
		case "EQ_RRS_ESCORT_TARGETING_SYSTEM_DISCOUNT":
		case "EQ_RRS_SCANNER_SHOW_MISSILE_TARGET_DISCOUNT":
			if (missionVariables.rescuestation_reputation < 40 || missionVariables.rescuestation_reputation > 318)
				return false;
			break;
		case "EQ_RRS_SERVICE":
			if (missionVariables.rescuestation_reputation < 160)
				return false;
			break;
		case "EQ_RRS_FULLEQUIP":
			if (missionVariables.rescuestation_reputation < 320)
				return false;
			break;
	}
	return true;
}
